Subject: Re: bug#4543: window-full-height-p

From: Eli Zaretskii <[email-masked]>
Date: Fri, 25 Sep 2009 12:27:58 +0300

> Date: Fri, 25 Sep 2009 09:40:11 +0200
> From: martin rudalics <[email-masked]>
> Cc: [email-masked]
> 
>  > window-full-width-p has a simple C
>  > implementation,
> 
> `window-full-width-p' is based on the definition
> 
>    /* Total width of frame F, in columns (characters),
>       including the width used by scroll bars if any.  */
> 
>    #define FRAME_TOTAL_COLS(f) ((f)->total_cols)
> 
> from frame.h whose semantics I don't understand.  Not really simple.

Maybe I can help.  What is the difficulty with the semantics of this
attribute of a frame?

>  > but perhaps the same thing is not possible for height?
> 
> Hardly.

What's wrong with this (taken from frame.c:frame-parameters) as the
frame height:

  height = (f->new_text_lines ? f->new_text_lines : FRAME_LINES (f));

and then subtract from it the height of the minibuffer window?

The C variable `minibuf_window' should give you the Lisp object that
holds the minibuffer window, and its `total_lines' attribute should
give you the height of that window.  Or am I missing something?